#ifndef _KGR_PATCH_BSC1199606_H
#define _KGR_PATCH_BSC1199606_H

#if IS_ENABLED(CONFIG_NFC_MRVL)

struct nfcmrvl_private;

void kgrp_nfcmrvl_nci_unregister_dev(struct nfcmrvl_private *priv);

int kgr_patch_bsc1199606_init(void);
void kgr_patch_bsc1199606_cleanup(void);

#define KGR_PATCH_BSC1199606_FUNCS					\
	KGR_PATCH_OBJ(nfcmrvl_nci_unregister_dev,			\
		      kgrp_nfcmrvl_nci_unregister_dev, "nfcmrvl"),

#else /* !IS_ENABLED(CONFIG_NFC_MRVL) */

static inline int kgr_patch_bsc1199606_init(void) { return 0; }
static inline void kgr_patch_bsc1199606_cleanup(void) {}

#define KGR_PATCH_BSC1199606_FUNCS

#endif /* IS_ENABLED(CONFIG_NFC_MRVL) */

#endif /* _KGR_PATCH_BSC1199606_H */
